## org.biojava.bio.symbol
Class PackedSymbolListFactory

    java.lang.Object
      org.biojava.bio.symbol.PackedSymbolListFactory

All Implemented Interfaces:
  SymbolListFactory

public class PackedSymbolListFactory
extends java.lang.Object
implements SymbolListFactory

This class makes PackedSymbolLists. It could be refactored into the PackedSymbolList class eventually.

Author:
  David Huen

Constructor Summary
`PackedSymbolListFactory()` Create a factory for PackedSymbolLists.
`PackedSymbolListFactory(boolean ambiguity)` Deprecated. the argumentless constructor creates a SymbolListFactory that will autoselect the packing appropriately.

Method Summary
`SymbolList` `makeSymbolList(Symbol[] symbolArray, int size, Alphabet alfa)` makes a SymbolList containing size Symbols from a Symbol array.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PackedSymbolListFactory

    public PackedSymbolListFactory()

  Create a factory for PackedSymbolLists. The use of ambiguity packing is determined automatically as required.

### PackedSymbolListFactory

    public PackedSymbolListFactory(boolean ambiguity)

  Deprecated. the argumentless constructor creates a SymbolListFactory that will autoselect the packing appropriately.

  Create a factory for PackedSymbolLists with specified packing type.

Method Detail

### makeSymbolList

    public SymbolList makeSymbolList(Symbol[] symbolArray,
                                     int size,
                                     Alphabet alfa)
                              throws IllegalAlphabetException

  Description copied from interface: `SymbolListFactory`
  makes a SymbolList containing size Symbols from a Symbol array. primarily used to create chunks for a chunked symbol list.

  Specified by:
    `makeSymbolList` in interface `SymbolListFactory`
  Throws:
    `IllegalAlphabetException`